#include <iostream>
#include <set>
#include "testlib.h"
using namespace std;

int main(int argc, char* argv[])
{
	registerValidation(argc, argv);
	int n = inf.readInt(1, 100, "n");
	inf.readSpace();
	int m = inf.readInt(1, 100, "m");
	inf.readEoln();
	for (int i = 0; i < n; i++) {
		int v = inf.readInt(1, 1000, "v");
		if (i + 1 < n) inf.readSpace();
	}
	inf.readEoln();
	for (int i = 0; i < n; i++) {
		for (int j = 0; j < m; j++) {
			int h = inf.readInt(1, 1000, "h");
			if (j + 1 < m) inf.readSpace();
		}
		inf.readEoln();
	}
	inf.readEof();
	return 0;
}